﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Shared.Styles;

namespace ChartTiles
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt1 = new DataTable();
            dt1.Columns.Add("Name", typeof(string));
            dt1.Columns.Add("Value", typeof(int));
            dt1.Rows.Add("One", 1);
            dt1.Rows.Add("Two", 2);
            dt1.Rows.Add("Three", 3);
            dt1.Rows.Add("Four", 4);
            dt1.Rows.Add("Five", 5);
            ultraChart1.DataSource = dt1;

            ultraChart2.ChartType = ChartType.BarChart;
            DataTable dt2 = new DataTable();
            dt2.Columns.Add("Name", typeof(string));
            dt2.Columns.Add("Value", typeof(int));
            dt2.Rows.Add("One", 1);
            dt2.Rows.Add("Two", 2);
            dt2.Rows.Add("Three", 3);
            dt2.Rows.Add("Four", 4);
            dt2.Rows.Add("Five", 5);
            ultraChart2.DataSource = dt2;

            ultraChart3.ChartType = ChartType.LineChart;
            DataTable dt3 = new DataTable();
            dt3.Columns.Add("A", typeof(int));
            dt3.Columns.Add("B", typeof(int));
            dt3.Columns.Add("C", typeof(int));
            dt3.Columns.Add("D", typeof(int));
            dt3.Columns.Add("E", typeof(int));
            dt3.Rows.Add(1, 2, 3, 4, 5);
            ultraChart3.DataSource = dt3;

            ultraChart4.ChartType = ChartType.PieChart;
            DataTable dt4 = new DataTable();
            dt4.Columns.Add("Name", typeof(string));
            dt4.Columns.Add("Value", typeof(double));
            dt4.Rows.Add("One", 0.1);
            dt4.Rows.Add("Two", 0.2);
            dt4.Rows.Add("Three", 0.3);
            dt4.Rows.Add("Four", 0.4);
            dt4.Rows.Add("Five", 0.5);
            ultraChart4.DataSource = dt4;
        }
    }
}
